#ifndef __ASSERT_H
#define __ASSERT_H

#include <compiler.h>
#include <platform/debug.h>

#if 1
#define ASSERT(x) \
	{ if (unlikely(!(x))) { dprintf("ASSERT FAILED at (%s:%d): %s\n", __FILE__, __LINE__, #x); debug_halt(); } }
#else
#define ASSERT(x)
#endif

#endif
